> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocoya.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List information about the workflow

> Returns information about all workflow steps



## OpenAPI

````yaml /openapi.yaml get /workflow/{workflowId}
openapi: 3.1.0
info:
  version: 1.1.0
  title: Ocoya API
  description: REST API reference for Ocoya.
servers:
  - url: https://app.ocoya.com/api/_public/v1
security:
  - ApiKeyAuth: []
paths:
  /workflow/{workflowId}:
    get:
      summary: List information about the workflow
      description: Returns information about all workflow steps
      parameters:
        - in: path
          name: workflowId
          required: true
          description: Ocoya workflow ID.
          schema:
            type: string
            example: cmajvvb9q0003ja5vh0538j6r
      responses:
        '200':
          description: Success
        '500':
          description: Unknown error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````